Skip to main content
GET
/
orders
/
{orderId}
/
payments
Get All Payments for Order
curl --request GET \
  --url https://sandbox.flowwise.com/router/orders/{orderId}/payments \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>'
[
  {
    "status": "SUCCESS",
    "order_id": "order_summer_fashion_001",
    "payment_id": "pay_summer_fashion_001_upi",
    "capture_status": "SUCCESS",
    "capture_amount": 2299.5,
    "payment_amount": 2299.5,
    "payment_currency": "INR",
    "payment_method": "upi",
    "gateway_details": {
      "auth_id": "AUTH_4345123456789",
      "processor_ref": "UPI434512345678901234",
      "utr": "434512345678"
    }
  },
  {
    "status": "FAILED",
    "order_id": "order_summer_fashion_001",
    "payment_id": "pay_summer_fashion_001_cc",
    "capture_status": "FAILED",
    "capture_amount": 0,
    "payment_amount": 2299.5,
    "payment_currency": "INR",
    "payment_method": "card",
    "gateway_details": {
      "auth_id": null,
      "processor_ref": "CC434512345678901235",
      "utr": null
    }
  }
]

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app ID in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Path Parameters

orderId
string
required

Unique identifier for the order.

Example:

"order_summer_fashion_001"

Response

Success response for payments retrieval.

status
string

Current status of the payment transaction.

Example:

"SUCCESS"

order_id
string

Unique identifier for the associated order.

Example:

"order_summer_fashion_001"

payment_id
string

Unique identifier for the payment transaction.

Example:

"pay_summer_fashion_001_upi"

capture_status
string

Status of the payment capture process.

Example:

"SUCCESS"

capture_amount
number

Amount that has been captured from the payment.

Example:

2299.5

payment_amount
number

Total amount of the payment transaction.

Example:

2299.5

payment_currency
string

Currency code for the payment amount.

Example:

"INR"

payment_method
string

Payment method used for the transaction.

Example:

"upi"

gateway_details
object

Details from the payment gateway.